| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
Serial_EEPROM_Test.ino File Reference

Go to the source code of this file.

## Functions
static void | print_title ()
static void | print_prompt ()
static void | setup ()
static void | loop ()

## Macros
#define | EEPROM_PAGE_SIZE 16
#define | EEPROM_DATA_SIZE 256

## Variables
static uint8_t | i2c_address = 0xA0
unsigned char | id_string_size = 50
static uint16_t | eeprom_address = 0x00
byte | terminator = 0x0a
byte | read_count = id_string_size
static int | int_data
long | long_data
static float | float_data
unsigned char | user_command

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 145 of file Serial_EEPROM_Test.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Definition at line 97 of file Serial_EEPROM_Test.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Definition at line 77 of file Serial_EEPROM_Test.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 136 of file Serial_EEPROM_Test.ino.

## Macro Definition Documentation

## ◆ EEPROM_DATA_SIZE

#define EEPROM_DATA_SIZE 256

Definition at line 55 of file Serial_EEPROM_Test.ino.

## ◆ EEPROM_PAGE_SIZE

#define EEPROM_PAGE_SIZE 16

Definition at line 54 of file Serial_EEPROM_Test.ino.

## Variable Documentation

## ◆ eeprom_address

uint16_t eeprom_address = 0x00
| static

Definition at line 67 of file Serial_EEPROM_Test.ino.

## ◆ float_data

float float_data
| static

Definition at line 72 of file Serial_EEPROM_Test.ino.

## ◆ i2c_address

uint8_t i2c_address = 0xA0
| static

Definition at line 65 of file Serial_EEPROM_Test.ino.

## ◆ id_string_size

unsigned char id_string_size = 50

Definition at line 66 of file Serial_EEPROM_Test.ino.

## ◆ int_data

int int_data
| static

Definition at line 70 of file Serial_EEPROM_Test.ino.

## ◆ long_data

long long_data

Definition at line 71 of file Serial_EEPROM_Test.ino.

## ◆ read_count

byte read_count = id_string_size

Definition at line 69 of file Serial_EEPROM_Test.ino.

## ◆ terminator

byte terminator = 0x0a

Definition at line 68 of file Serial_EEPROM_Test.ino.

## ◆ user_command

unsigned char user_command

Definition at line 75 of file Serial_EEPROM_Test.ino.